Page MenuHomePhabricator

reclaim or decom: cp1043 + cp1044
Closed, ResolvedPublic

Description

These were supposed to have been reclaim/decom a long time ago, but we kept them alive to serve as temporary beta cache_maps machines. Now that we're partway through T131880, these are released to dispose of in whatever way makes sense. As with the last set of eqiad cache decoms: they're currently still booted and puppeting, using just include standard for puppet in site.pp.

cp104[34]

  • - removed from monitoring/icinga/puppetdb
  • - powered off
  • - pulled from all puppet files
  • - puppet and salt keys revoked
  • - switch ports disabled
  • - disks wiped -- DISKS WERE REMOVED
  • - unracked/decommissioned/racktables update/decommission sheet update
  • - switch port config removed
  • - dns mgmt entries removed

Event Timeline

BBlack created this task.Apr 25 2016, 11:25 PM
Restricted Application added subscribers: Southparkfan, Aklapper. · View Herald TranscriptApr 25 2016, 11:25 PM

Change 285315 had a related patch set uploaded (by BBlack):
remove cp104[34] storage cfg T133614

https://gerrit.wikimedia.org/r/285315

Change 285315 merged by BBlack:
remove cp104[34] storage cfg T133614

https://gerrit.wikimedia.org/r/285315

fgiunchedi triaged this task as Medium priority.Apr 27 2016, 9:25 AM
RobH assigned this task to mark.Apr 27 2016, 8:26 PM
RobH moved this task from Backlog to Reclaim (Spares/Decommission) on the hardware-requests board.
RobH added a subscriber: mark.

These were part of the original squids in eqiad, and are well out of warranty. I'm requesting @mark's approval on this task to decommission these two hosts.

Change 289644 had a related patch set uploaded (by BBlack):
cp104[34] role spare for decom - T133614

https://gerrit.wikimedia.org/r/289644

Change 289644 merged by BBlack:
cp104[34] role spare for decom - T133614

https://gerrit.wikimedia.org/r/289644

mark removed mark as the assignee of this task.May 19 2016, 1:45 PM

These are 2011 hosts - definitely trash.

Change 293669 had a related patch set uploaded (by Dzahn):
decom cp1043,cp1044 from site.pp, installserver

https://gerrit.wikimedia.org/r/293669

Mentioned in SAL [2016-06-10T16:27:38Z] <mutante> cp1043/cp1044 - decom'ing, were already "Unused spare system" but running, scheduling downtime in icinga, shutting them down and removing from torrus config and puppet (T133614)

Change 293669 merged by Dzahn:
rm cp1043,cp1044 from site, installserver & torrus

https://gerrit.wikimedia.org/r/293669

Change 293798 had a related patch set uploaded (by Dzahn):
remove cp1043,cp1044 IPs

https://gerrit.wikimedia.org/r/293798

Change 293798 merged by Dzahn:
remove cp1043,cp1044 IPs

https://gerrit.wikimedia.org/r/293798

Dzahn added a subscriber: Dzahn.Jun 10 2016, 7:44 PM

deleted puppet certs, salt-keys, icinga stored config, removed from DNS

still needs: mgmt DNS, racktables etc, switch ports, physical decom in DC

RobH assigned this task to Cmjohnson.Jun 10 2016, 7:46 PM

We don't pull mgmt dns out until it is unracked, since they are still technically accessible.

Assigning to @Cmjohnson for disk wipes.

RobH updated the task description. (Show Details)Jun 10 2016, 7:55 PM
Cmjohnson lowered the priority of this task from Medium to Lowest.Aug 9 2016, 2:02 PM
Cmjohnson updated the task description. (Show Details)
Cmjohnson closed this task as Resolved.Sep 14 2016, 3:25 PM

server removed from rack, ssd removed. added to decom tracking sheet, racktables updated.